using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication1.Controllers {
	public class Exo1CompteursController : Controller {
		public ActionResult Index() {
			// Récupérer l'état :
			int nbInteractions = int.Parse(Request.Form["NbInteractions"] ?? "0");

			// Faire avancer le schmilblick
			nbInteractions++;
			if( nbInteractions == 1 ) // L'utilisateur vient sur la page
				Models.ModeleCompteurs.NbDeVisitesDuNavigateurSurLaPage++;
			else {
				// Rien : l'utilisateur reste sur la page.
			}

			// Alimenter la vue
			ViewBag.NbInteractions = nbInteractions;
			ViewBag.NbDeVisitesDuNavigateurSurLaPage = Models.ModeleCompteurs.NbDeVisitesDuNavigateurSurLaPage;
			ViewBag.NbDeVisitesDeLUtilisateurSurLeSite = Models.ModeleCompteurs.NbDeVisitesDeLUtilisateurSurLeSite;
			ViewBag.NbDeVisiteurs = Models.ModeleCompteurs.NbDeVisiteurs;
			return View();
		}
	}
}